<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Arrays y Ciclos</title>
</head>

<body>

    <h1>Arrays y ciclos con JS</h1>
    
    <script>

        // FOR

        for (var indice = 0; indice < 10; indice = indice + 1) {
            console.log(indice);

        }
            console.log('Fin del ciclo');
        
        var resultadoSuma = 0;

        for (var i = 0; i < 5; i++) {
            var numeroIngresado = 0; //parseInt(prompt("Ingrese un numero para sumar"));
            if (Number.isInteger(numeroIngresado)) {

            //ResultadoSuma = ResultadoSuma + numero Ingresado
            
            resultadoSuma += numeroIngresado;

            }
        }
        
        //alert(`La suma total es: ${resultadoSuma}`)
   
        // WHILE
        
        var indiceWhile = 0;
        while (indiceWhile < 10) {

        //codigo a repetir
            console.log(indiceWhile);
            indiceWhile = indiceWhile +1;

        }

        var es_impar = false;
        while (!es_impar) {

            var ingreso = parseInt(prompt('Ingrese numero par'));
            if(Number.isInteger(ingreso)) {
                
                var resto = ingreso % 2;
                console.log(resto);

                if (resto === 1) {
                    console.log('Es un numero impar');
                    es_impar = true;
                    
                } else {
                    console.log('Es un numero par');
                }
            }
        }

        // ARRAY

        var paises = ['Colombia', 'Argentina', 'Mexico', 'Chile', 'Peru'];
                console.log(paises);

            paises.unshift('Bolivia');
                console.log(paises);

            paises.push('Venezuela')
                console.log(paises);

            paises.sort();
                console.log(paises);

            paises.push(7);
            paises.push(true);
            paises.push(['otro valor', 1, 4, 'test']);
                console.log(paises);
            
            var pais = 'Uruguay, Panama, Costa rica';
            paises.push(pais);
                
                console.log(paises);

                console.log('la posicion 10 tiene un valor de: ', paises[10]);

                paises[0] = "La Argentina"; 
                console.log(paises);
            
            //ARRAYS y CICLOS formas de recorrer un Array

            for(var i = 0; i < paises.length; i++) {
                console.log(paises[i]);
            }

            for (const pais of paises) {
                console.log(pais);
            }

            paises.forEach((pais) => {
                console.log(pais);
            });

            paises.map((pais) => {
                console.log(pais);
            });

   </script>

</body>

</html>